# kernel-headers are generated from mandriva kernel version %{kver}.%{ever}
%define kver 2.6.29
%define ever 1mnb

Summary:	Linux kernel header files for userspace
Name:   	kernel-headers
Epoch:  	1
Version:	%{kver}
Release:	%manbo_mkrel 1
License:	GPL
Group:  	System/Kernel and hardware
URL:    	http://www.kernel.org/
# kernel-headers tarball generated from mandriva kernel in svn with:
# make INSTALL_HDR_PATH=<path> headers_install_all
# find <path> -name ..install.cmd -exec rm -f {} \;
# find <path> -name .install -exec rm -f {} \;
Source0: 	kernel-headers-%{kver}.%{ever}.tar.lzma
Source1:	make_versionh.sh
Source2:	create_asm_headers.sh
# A set of patches from jaswinder/linux-2.6-tip.git branch core/header-fixes
# that fix widespread type breakage of 2.6.29-rc5:
# http://lkml.indiana.edu/hypermail/linux/kernel/0902.3/00411.html
# For example, including <linux/dvb/audio.h> after <math.h> does not work.
Patch0:		kernel-headers-use-strict-types.patch
# make headers_install_all has a bug which linux/{a.out.h,kvm.h} headers are not
# included. While kernel isn't patched or we change the way we create kernel
# headers tarball, patch it to include the missing headers
Patch1:		kernel-headers-kvm-a.out-missing-headers.patch
Conflicts:	glibc-devel <= 6:2.7-2mdv2008.1
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Kernel-headers includes the C header files from the Linux kernel. The
header files define structures and constants that are needed for
building most standard programs.

%prep
%setup -q -n %{name}-%{kver}.%{ever}
%patch0 -p1
%patch1 -p1
%{expand:%(%__cat %{_sourcedir}/make_versionh.sh 2>/dev/null)}
TARGET=%_target_cpu
%{expand:%(%__cat %{_sourcedir}/create_asm_headers.sh 2>/dev/null)}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_includedir}
cp -avf * %{buildroot}/%{_includedir}

# (cg) Remove files provided by libdrm
for hdr in drm.h drm_mode.h drm_sarea.h i915_drm.h mga_drm.h r128_drm.h \
           radeon_drm.h savage_drm.h sis_drm.h via_drm.h;
do
	rm -f %{buildroot}%{_includedir}/drm/$hdr
done

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_includedir}/*


%changelog
* Thu Mar 26 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.29-1mnb2
+ Revision: 361373
- Sync with latest mandriva kernel (2.6.29-1mnb).

* Tue Mar 24 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.29-0.rc7.4.2mnb2
+ Revision: 360904
- Remove hunk from kernel-headers-use-strict-types.patch which wrongly
  reverts upstream kernel header fix ("pkt_sched: type should be __u32
  in header").

* Thu Mar 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.29-0.rc7.4.1mnb2
+ Revision: 354093
- Sync with latest mandriva kernel (2.6.29-0.rc7.4.1mnb).
- Linux kernel has a bug which linux/{a.out.h,kvm.h} headers are not
  included when doing 'make headers_install_all'. While kernel isn't
  patched or we change the way we create kernel headers tarball/package,
  patch it to include the missing headers.

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 1:2.6.29-0.rc5.2mnb2
+ Revision: 346127
- fix headers brokenness by using strict types everywhere (fixes mixing
  of standard headers and many kernel headers that was broken recently,
  patchset from Jaswinder Singh Rajput's -tip core/header-fixes git
  tree, use-strict-types.patch)
- drop gnu-extensions.patch, the hunk is no longer visible to userspace

* Wed Feb 18 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.29-0.rc5.1mnb2
+ Revision: 342598
- Sync with latest mandriva kernel (2.6.29-0.rc5.1mnb).

* Thu Feb 05 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.28-3mnb2
+ Revision: 337687
- Sync with latest mandriva kernel (2.6.28.3-1mnb).

* Tue Jan 06 2009 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.6.28-2mnb2
+ Revision: 326202
- Fix kernel and package version (they are 2mnb and not 1mnb)
- Sync with latest mandriva kernel (2.6.28-1mnb).

* Sun Nov 16 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27.4-4mnb2
+ Revision: 303802
- No more need to conflict with libdrm-devel, when same files are being
  provided again by it.

* Thu Nov 13 2008 Colin Guthrie <cguthrie@mandriva.org> 1:2.6.27.4-3mnb2
+ Revision: 302921
- Do not include headers provided by libdrm as these are old versions
  that prevent the intel driver from building.

* Mon Nov 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27.4-2mnb2
+ Revision: 299595
- Fix conflicts for libdrm-devel

* Mon Nov 03 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27.4-1mnb2
+ Revision: 299579
- Sync with latest mandriva kernel (2.6.27.4-2mnb).
- Export drm headers that will not be exported anymore from libdrm.

* Thu Sep 25 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-4mnb2
+ Revision: 288031
- Sync with latest mandriva kernel (2.6.27-0.rc7.1.1mnb).

* Thu Sep 11 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-3mnb2
+ Revision: 283657
- Sync with latest Mandriva kernel (2.6.27-0.rc6.1mnb).

* Fri Sep 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-2mnb2
+ Revision: 281647
- Remove drm headers until libdrm stops to provide them.

* Fri Sep 05 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.27-1mnb2
+ Revision: 281382
- Sync with latest Mandriva kernel (2.6.27-0.rc5.7.1mnb).
- Cosmetics (spec file policy).

* Wed Jun 25 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.6.26-2mnb2
+ Revision: 229135
- Add ipt_psd.h and ipt_IFWLOG.h headers (needed by iptables)

* Wed Jun 25 2008 Luiz Fernando Capitulino <lcapitulino@mandriva.com> 1:2.6.26-1mnb2
+ Revision: 229043
- Update to 2.6.26-rc7 kernel headers

* Wed Mar 19 2008 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp> 1:2.6.24-6mnb1
+ Revision: 188987
- replace %%mkrel with %%manbo_mkrel for ManboCore1

* Mon Feb 18 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-5mdv2008.1
+ Revision: 172125
- Revert last change, until I get an answer from linux-wireless about
  wireless.h being intentionally or not "broken" (may be software using
  it should manually include extra headers like told on comment because
  of glibc).

* Mon Feb 18 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-4mdv2008.1
+ Revision: 171663
- Don't ship wireless.h header, for userspace use the one from
  wireless-tools.

* Sat Feb 16 2008 Anssi Hannula <anssi@mandriva.org> 1:2.6.24-3mdv2008.1
+ Revision: 169304
- rebuild due to package loss

* Sun Feb 10 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-2mdv2008.1
+ Revision: 164741
- Fixed undefined LINUX_VERSION_CODE in /usr/include/linux/version.h

* Fri Feb 08 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1:2.6.24-1mdv2008.1
+ Revision: 164135
- Use better versioning, and conflict with old glibc-devel releases that
  had kernel-headers included.
- import kernel-headers


